<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				artglobal@wp.pl			*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

require_once('inc/config.inc.php');
require_once('class/mail.class.php');
require_once('class/object.class.php');

$object = new obj;
include('inc/seo.inc.php');
$smarty -> register_function('nopl', 'parse');

$smarty -> assign('showType', $object -> showType( $mysql ));
$smarty -> assign('showState', $object -> showState( $mysql ));
$smarty -> assign('showRegion', $object -> showRegion( $mysql ));
$smarty -> assign('showPages', $object -> showPages( $mysql ));
$smarty -> assign('showMiasto', $object -> showMiasto( $mysql ));
$smarty -> assign('showKategoria', $object -> showKategoria( $mysql ));
$smarty -> assign('showStan', $object -> showStan( $mysql ));
$smarty -> assign('showRodzaj', $object -> showRodzaj( $mysql ));
$smarty -> assign('showRynek', $object -> showRynek( $mysql ));
$smarty -> assign('promoA', $object -> showPromoA( $mysql ));
$smarty -> assign('promoAA', $object -> showPromoB( $mysql ));
$smarty -> assign('maps', '');

/////////////////////

/////////////////////
					$sql = "SELECT a.*, b.*, c.*, d.*, e.*,  g.*, h.* FROM object AS a, type AS b, state AS c , region AS d, kategoria AS e,  rodzaj AS g, stan AS h WHERE a.obTypeId = b.typeId AND a.obStateId = c.stateId AND a.obRegion = d.regionId AND a.obKat = e.katId  AND a.obRodzaj = g.rodzajId AND a.obStan = h.stanId AND a.obPromo = '1' AND a.obConfirm = '1' AND a.obDateEnd > NOW() ORDER by  RAND() LIMIT 5";
								$q = $mysql -> q( $sql );
$smarty -> assign('nump', $mysql -> num( $sql ));

////////////////////

$error = null;
$success = null;

$id = html( $_GET['id'] );




$sql = "SELECT a.*, b.*, c.*, d.*, e.*, f.*, g.*, h.*, i.*, j.*, k.*, l.*, m.*, n.*, o.*, p.*
FROM object AS a, type AS b, state AS c , region AS d, droga AS e,  rodzaj AS f, kategoria AS g, stan AS h, 
rynek AS i, budulec AS j, dach AS k, dojazd AS l, ogrodzenie AS m, ogrzewanie AS n, kanalizacja AS o, okna AS p
WHERE a.obTypeId = b.typeId AND a.obStateId = c.stateId AND a.obRegion = d.regionId AND a.obDroga = e.drogaId  AND a.obRodzaj = f.rodzajId AND a.obKat = g.katId AND a.obStan = h.stanId  
AND a.obRynek = i.rynekId  
AND a.obBudulec = j.budulecId 
AND a.obDach = k.dachId
AND a.obDojazd = l.dojazdId
AND a.obOgrodzenie = m.ogrodzenieId
AND a.obOgrzewanie = n.ogrzewanieId
AND a.obKanalizacja = o.kanalizacjaId
AND a.obOkna = p.oknaId 
AND a.obId = '$id'";

$q = $mysql -> q( $sql );
$index = array();
$count = 0;
while ( $db = mysql_fetch_array( $q ) )
{
        $index[$count] = $db;
        $count++;
}
$smarty -> assign('index', $index);

$googleAdress = $index[0]['stateName'] . ', ' . $index[0]['obCity']. ', ' . $index[0]['obAdress'];
$smarty -> assign('googleAdress', $googleAdress);

$sql = "SELECT * FROM photos WHERE photoObjectId = '$id' ORDER by photoId DESC";
$q = $mysql -> q( $sql );
$photos = array();
while ( $db = mysql_fetch_array( $q ) )
{
        $photos[] = $db;
}
$smarty -> assign('photos', $photos);



$id = html( $_GET['id'] );
$idu = html( $_GET['idu'] );

$sql = "SELECT dilerNazwa, dilerOfirmie, dilerKontakt, dilerfoto FROM diler WHERE uzytkownik = '$idu'  ";
$q = $mysql -> q( $sql );
$db = mysql_fetch_array( $q );

$smarty -> assign('dilerNazwa', $db['dilerNazwa']);
$smarty -> assign('dilerOfirmie', $db['dilerOfirmie']);
$smarty -> assign('dilerKontakt', $db['dilerKontakt']);
$smarty -> assign('dilerfoto', $db['dilerfoto']);





$sql = "SELECT userFrom  FROM users WHERE userId  = '$idu'  ";
$q = $mysql -> q( $sql );
$db = mysql_fetch_array( $q );

$smarty -> assign('miastoDiler', $db['userFrom']);







$smarty -> assign('error', $error);

$smarty -> assign('title', $index[0]['typeName'] . ' &raquo; ' . $index[0]['obCity'] . ' &raquo; ' . $index[0]['obName']);

$smarty -> display('diler-obiekt.tpl');
?>
